
/**
 * Automatically execute method on plugin initialization
 */
export function Auto(): (...args: any[]) => void {
  return (
    target: any,
    propertyKey: string,
    descriptor: PropertyDescriptor,
  ) => {
    descriptor.value.prototype.__autoexec = 1;
    return descriptor;
  };
}
