
/**
 * Declare this plugin as one that the user can configure.
 * @param defconf Default configuration
 */
export function Configurable(defconf: any): Function {
  return (constructor: Function): void => {
    constructor.prototype.__defconf = defconf;
  };
}
